﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;                     
public partial class testGoogleMap : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            Proj4Projection prj4 = new Proj4Projection();
            prj4.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
            prj4.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
            prj4.Open();
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
            Map1.CurrentExtent = prj4.ConvertToExternalProjection(new RectangleShape(-51, 65, 30, -70)) as RectangleShape;
            Map1.MapUnit = GeographyUnit.Meter;
            prj4.Close();


            GoogleOverlay google = new GoogleOverlay("Google Map");
            google.JavaScriptLibraryUri = new Uri("http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAAoxK_HcqphMsnUQHEwLwHlRSavkNJi0NVTgm4UDidoiIU5dUJpRQW88FufPCp0aTPraxZgZFAIUHn3Q");
            google.GoogleMapType = GoogleMapType.Normal;

            Map1.CustomOverlays.Add(google);
        }
    }
    protected void mainMap_ExtentChanged(object sender, ExtentChangedEventArgs e)
    {
        
    }
    protected void mainMap_Click(object sender, MapClickedEventArgs e)
    {
        
    }

    protected void Map1_TrackShapeFinished(object sender, EventArgs e)
    {
        
    }
}